Bug 159561 - Non-descriptive message in case no builds are successful
Non-descriptive message in case no builds are successful
Status: VERIFIED FIXED
Product: connecteddeveloper
Classification: Unclassified
Component: Hudson
6.x
All All
: P4 (vote)
: 6.x
Assigned To: Jesse Glick
issues@connecteddeveloper
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-03 19:24 UTC by Petr Dvorak
Modified: 2009-04-05 18:13 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments
patch (3.34 KB, text/plain)
2009-03-03 19:25 UTC, Petr Dvorak
Details
Before/After (7.89 KB, text/plain)
2009-03-03 19:25 UTC, Petr Dvorak
Details
Before/After (with a correct mime-type) (7.89 KB, image/png)
2009-03-03 19:25 UTC, Petr Dvorak
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Petr Dvorak 2009-03-03 19:24:26 UTC
If the job has no successful/... build, the window with permalinks contains "-1"...
Comment 1 Petr Dvorak 2009-03-03 19:25:12 UTC
Created attachment 77667 [details]
patch
Comment 2 Petr Dvorak 2009-03-03 19:25:37 UTC
Created attachment 77668 [details]
Before/After
Comment 3 Petr Dvorak 2009-03-03 19:25:55 UTC
Created attachment 77669 [details]
Before/After (with a correct mime-type)
Comment 4 Jesse Glick 2009-03-03 20:02:12 UTC
With a different fix: cdev #e176dd93bf76
Comment 5 Petr Dvorak 2009-03-03 20:23:41 UTC
Wow... didn't know bundles can do that... I am so lame... Verified
Comment 6 Jesse Glick 2009-03-03 21:21:49 UTC
Yes, special MessageFormat/ChoiceFormat tricks!
Comment 7 Quality Engineering 2009-03-17 08:44:53 UTC
Integrated into 'main-golden', will be available in build *200903170201* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/e176dd93bf76
User: Jesse Glick <jglick@netbeans.org>
Log: #159561: do not show "-1" as a build number.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo